| Class Specialization N2 AFScore N2 computes the inner product of the standardised neighbourhood kmer count vectors
AFScore
N2 AFScore
AFScore<N2> Include Headers seqan/alignment_free.h Remarks N2 can be used for alignment-free sequence comparison. Specialization of AFScore Data Members
bgModelOrder | Order of the background model
kmerSize | Size of the kmers
mismatches | Approximate word matches [0(exact)/1(one mismatch)]
mismatchWeight | Weight for approximate word matches
outputFile | When specified, all kmerWeights for every sequence will be written to this file
revCom | Scoring of reverse complements words [''/'max'/'min'/'mean'/'both_strands'/]
Member Functions
AFScore | Constructor
Functions
alignmentFreeComparison | Computes the pairwise similarity scores for a set of sequences (AFScore)
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00